<?php include_once( "../../../spider.inc.php" ); ?>
{charset:UTF-8}
{template:admin_default.tpl}
{preset:page_title 'コンテンツ管理 > HTMLパーツ一覧'}

	<div class="panc">
		<a href="../../" title="管理パネルのトップページを表示します">管理パネルトップ</a>
		&gt; <a href="../" title="コンテンツ管理トップページを表示します">コンテンツ管理</a>
		&gt; HTMLパーツ一覧
	</div>
	<h1>コンテンツ管理 &gt; HTMLパーツ一覧</h1>
	
{if:IS_ERROR}
	<ul class="error">
	{foreach:errors error}
		<li>{write:error}</li>
	{/foreach}
	</ul>
{else}

	<form name="list" action="#">
	<table class="list" style="width:95%;margin:0 auto;">
	<thead>
	<tr>
		<th style="width:30%;white-space:nowrap;">ファイル名</th>
		<th style="width:55%;white-space:nowrap;">表示名</th>
		<th style="width:15%;white-space:nowrap;">操作</th>
	</tr>
	</thead>
	<tbody id="page-list">
	</tbody>
	</table>
	<br />	
	</form>

	<form name="createform" action="./setting/form.php" method="get">
	<p style="text-align:right;">
		<input type="hidden" name="wfile" size="15" value="" />
		HTMLパーツを追加 &gt;&gt; <input type="text" name="fname" size="15" value="" />.fwg <input type="button" value="追加" onclick="contentWidgetCreateWidget()" />
	<p>
	</form>
	
<style type="text/css"><!--
table.list tbody tr td {
	padding: 5px;
}
--></style>
<script language="JavaScript" type="text/javascript"><!--
var contentWidgetFileNameArray;
function contentWidgetGetWidgetList() {
	contentGetWidgetList(contentWidgetGetWidgetListResult);
}
function contentWidgetGetWidgetListResult(widgetObjectArray) {
	contentWidgetFileNameArray	= new Array();
	var tbodyObject = document.getElementById('page-list');
	if( tbodyObject && widgetObjectArray ) {
		var childs = tbodyObject.childNodes;
		for( var i=childs.length-1; i>=0; i-- ) {
			tbodyObject.removeChild(childs[i]);
		}
		for( var num=0; num<widgetObjectArray.length; num++ ) {
			var widgetObject	= widgetObjectArray[num];
			contentWidgetFileNameArray.push(widgetObject.fileName);
			var trElm	= document.createElement('tr');
			var tdFile	= document.createElement('td');
			tdFile.innerHTML	= widgetObject.fileName;
			trElm.appendChild(tdFile);
			var tdTitle	= document.createElement('td');
			tdTitle.innerHTML	= widgetObject.viewName;
			trElm.appendChild(tdTitle);
			var tdMod	= document.createElement('td');
			tdMod.innerHTML	= '<a href="./setting/form.php?wfile='+widgetObject.fileName+'">設定</a>'
				+ '・<a href="./html/form.php?wfile='+widgetObject.fileName+'">HTML</a>'
			;
			tdMod.style.textAlign	= 'center';
			trElm.appendChild(tdMod);
			tbodyObject.appendChild(trElm);
		}
	}
}
if(window.attachEvent){
	window.attachEvent('onload',contentWidgetGetWidgetList);
}else{
	window.addEventListener('DOMContentLoaded',contentWidgetGetWidgetList,false);
}
/*
 * HTMLパーツ作成関数
 */
function contentWidgetCreateWidget() {
	if( document.createform.wfile ) {
		var widgetFile	= document.createform.fname.value + '.fwg';
		for( var num=0; num < contentWidgetFileNameArray.length; num++ ) {
			var extWidget	= contentWidgetFileNameArray[num];
			if(extWidget==widgetFile) {
				alert(widgetFile + 'は既に存在します!');
				return;
			}	
		}
		if( widgetFile && widgetFile.length > 0 ) {
			document.createform.wfile.value	= widgetFile;
			document.createform.submit();
		} else {
			alert('HTMLパーツ名を入力してください!');
		}
	}
}
//--></script>
{/if}